Package twisted :: Package internet :: Module protocol :: Class FileWrapper

[frames | no frames]

## Class FileWrapper

A wrapper around a file-like object to make it behave as a Transport.

Method Summary
| `__init__(self, file)`
| `_checkProducer(self)`
| `getHost(self)`
| `getPeer(self)`
| `handleException(self)`
| `loseConnection(self)`
| ``registerProducer`(self, producer, streaming)` From abstract.FileDescriptor
| `stopConsuming(self)`
| `unregisterProducer(self)`
| `write(self, data)`
| `writeSequence(self, iovec)`

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.ITransport`
`int` | `closed` = 0
`int` | `disconnecting` = 0
`NoneType` | `producer` = None
`int` | `streamingProducer` = 0

Method Details

### registerProducer(self, producer, streaming)

From abstract.FileDescriptor

Class Variable Details

### closed

  Type:
    `int`
  Value:

        0

### disconnecting

  Type:
    `int`
  Value:

        0

### producer

  Type:
    `NoneType`
  Value:

        None

### streamingProducer

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:56 2004 | http://epydoc.sf.net